Index: /trunk/Cocoa/Pester/Source/English.lproj/MainMenu.nib/classes.nib
===================================================================
--- /trunk/Cocoa/Pester/Source/English.lproj/MainMenu.nib/classes.nib	(revision 578)
+++ /trunk/Cocoa/Pester/Source/English.lproj/MainMenu.nib/classes.nib	(revision 579)
@@ -19,12 +19,4 @@
 		</dict>
 		<dict>
-			<key>CLASS</key>
-			<string>NSDisclosureButtonCell</string>
-			<key>LANGUAGE</key>
-			<string>ObjC</string>
-			<key>SUPERCLASS</key>
-			<string>NSButtonCell</string>
-		</dict>
-		<dict>
 			<key>ACTIONS</key>
 			<dict>
@@ -77,5 +69,5 @@
 				<string>NSButtonCell</string>
 				<key>editAlert</key>
-				<string>NSButtonCell</string>
+				<string>NSButton</string>
 				<key>inAtMatrix</key>
 				<string>NSMatrix</string>
@@ -155,12 +147,4 @@
 		</dict>
 		<dict>
-			<key>CLASS</key>
-			<string>NSMenuItem</string>
-			<key>LANGUAGE</key>
-			<string>ObjC</string>
-			<key>SUPERCLASS</key>
-			<string>NSObject</string>
-		</dict>
-		<dict>
 			<key>ACTIONS</key>
 			<dict>
@@ -179,4 +163,12 @@
 			<key>SUPERCLASS</key>
 			<string>NSPopUpButton</string>
+		</dict>
+		<dict>
+			<key>CLASS</key>
+			<string>NSMenuItem</string>
+			<key>LANGUAGE</key>
+			<string>ObjC</string>
+			<key>SUPERCLASS</key>
+			<string>NSObject</string>
 		</dict>
 		<dict>
Index: /trunk/Cocoa/Pester/Source/English.lproj/MainMenu.nib/info.nib
===================================================================
--- /trunk/Cocoa/Pester/Source/English.lproj/MainMenu.nib/info.nib	(revision 578)
+++ /trunk/Cocoa/Pester/Source/English.lproj/MainMenu.nib/info.nib	(revision 579)
@@ -14,5 +14,5 @@
 	</array>
 	<key>IBSystem Version</key>
-	<string>9J61</string>
+	<string>9L30</string>
 	<key>targetFramework</key>
 	<string>IBCocoaFramework</string>
Index: unk/Cocoa/Pester/Source/NSDisclosureButtonCell.h
===================================================================
--- /trunk/Cocoa/Pester/Source/NSDisclosureButtonCell.h	(revision 578)
+++ 	(revision )
@@ -1,18 +1,0 @@
-/*
- *     Generated by class-dump (version 2.1.5).
- *
- *     class-dump is Copyright (C) 1997, 1999, 2000, 2001 by Steve Nygard.
- */
-/*
- * File: /System/Library/Frameworks/AppKit.framework/AppKit
- */
-
-#import <AppKit/AppKit.h>
-
-@interface NSDisclosureButtonCell : NSButtonCell
-{
-}
-
-- (void)initWithCell:(NSCell *)cell;
-
-@end
Index: /trunk/Cocoa/Pester/Source/PSAlarmSetController.h
===================================================================
--- /trunk/Cocoa/Pester/Source/PSAlarmSetController.h	(revision 578)
+++ /trunk/Cocoa/Pester/Source/PSAlarmSetController.h	(revision 579)
@@ -27,5 +27,5 @@
     IBOutlet NSPopUpButton *timeDateCompletions; // XXX should go away when bug preventing both formatters and popup menus from existing is fixed
     IBOutlet NSButton *timeCalendarButton;
-    IBOutlet NSButtonCell *editAlert;
+    IBOutlet NSButton *editAlert;
     IBOutlet NSTextField *alertView;
     IBOutlet NSTabView *alertTabs;
Index: /trunk/Cocoa/Pester/Source/PSAlarmSetController.m
===================================================================
--- /trunk/Cocoa/Pester/Source/PSAlarmSetController.m	(revision 578)
+++ /trunk/Cocoa/Pester/Source/PSAlarmSetController.m	(revision 579)
@@ -85,5 +85,5 @@
         [self _setVolume: volume withPreview: NO];
     }
-    [editAlert setIntValue: 1]; // XXX temporary for 1.1b5
+    [editAlert setState: NSOnState]; // XXX temporary for 1.1b5
     {
         NSDictionary *plAlerts = [defaults dictionaryForKey: PSAlertsSelected];
@@ -301,11 +301,10 @@
 - (IBAction)editAlertChanged:(id)sender;
 {
-    BOOL editAlertSelected = [editAlert intValue];
-    NSView *editAlertControl = [editAlert controlView];
+    BOOL editAlertSelected = [editAlert state] == NSOnState;
     NSWindow *window = [self window];
     NSRect frame = [window frame];
     if (editAlertSelected) {
         NSSize editWinSize = [window maxSize];
-        [editAlertControl setNextKeyView: [displayMessage controlView]];
+        [editAlert setNextKeyView: [displayMessage controlView]];
         frame.origin.y += frame.size.height - editWinSize.height;
         frame.size = editWinSize;
@@ -331,6 +330,6 @@
             NSResponder *oldResponder = [window firstResponder];
             // make sure focus doesn't get stuck in the edit tab: it is confusing and leaves behind artifacts
-            if (oldResponder == editAlertControl || [oldResponder isKindOfClass: [NSView class]] && [(NSView *)oldResponder isDescendantOf: alertTabs])
-                [window makeFirstResponder: messageField]; // would use editAlertControl, but can't get it to display anomaly-free.
+            if (oldResponder == editAlert || [oldResponder isKindOfClass: [NSView class]] && [(NSView *)oldResponder isDescendantOf: alertTabs])
+                [window makeFirstResponder: messageField]; // would use editAlert, but can't get it to display anomaly-free.
             [self silence: sender];
         }
@@ -345,5 +344,5 @@
         frame.size = viewWinSize;
         [window setFrame: frame display: (sender != nil) animate: (sender != nil)];
-        [editAlertControl setNextKeyView: cancelButton];
+        [editAlert setNextKeyView: cancelButton];
     }
     if (sender != nil) {
Index: /trunk/Cocoa/Pester/Source/Pester.xcodeproj/project.pbxproj
===================================================================
--- /trunk/Cocoa/Pester/Source/Pester.xcodeproj/project.pbxproj	(revision 578)
+++ /trunk/Cocoa/Pester/Source/Pester.xcodeproj/project.pbxproj	(revision 579)
@@ -213,5 +213,4 @@
 		E18DAAEB0442CC3E00050002 /* NJRSoundManager.m */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.objc; path = NJRSoundManager.m; sourceTree = "<group>"; };
 		E18DAAEE0442D02500050002 /* CoreAudio.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = CoreAudio.framework; path = /System/Library/Frameworks/CoreAudio.framework; sourceTree = "<absolute>"; };
-		E191700B03AD24A600AEFBE0 /* NSDisclosureButtonCell.h */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.c.h; path = NSDisclosureButtonCell.h; sourceTree = "<group>"; };
 		E19CC5220CFDE3350079DCFC /* libParseDate-10.4.dylib */ = {isa = PBXFileReference; explicitFileType = "compiled.mach-o.dylib"; includeInIndex = 0; path = "libParseDate-10.4.dylib"; sourceTree = BUILT_PRODUCTS_DIR; };
 		E19CC5260CFDE3C70079DCFC /* DynaLoader-10.5.a */ = {isa = PBXFileReference; lastKnownFileType = archive.ar; path = "DynaLoader-10.5.a"; sourceTree = "<group>"; };
@@ -460,5 +459,4 @@
 				1058C7A0FEA54F0111CA2CBB /* Linked Frameworks */,
 				1058C7A2FEA54F0111CA2CBB /* Other Frameworks */,
-				E162698803B618BD00000028 /* Private Headers */,
 				E17CA7B60CF7D07400018B34 /* Perl */,
 			);
@@ -490,12 +488,4 @@
 			);
 			name = Categories;
-			sourceTree = "<group>";
-		};
-		E162698803B618BD00000028 /* Private Headers */ = {
-			isa = PBXGroup;
-			children = (
-				E191700B03AD24A600AEFBE0 /* NSDisclosureButtonCell.h */,
-			);
-			name = "Private Headers";
 			sourceTree = "<group>";
 		};