Index: trunk/appswitch/appswitch/appswitch.xcodeproj/nicholas.mode2v3
===================================================================
--- trunk/appswitch/appswitch/appswitch.xcodeproj/nicholas.mode2v3	(revision 352)
+++ trunk/appswitch/appswitch/appswitch.xcodeproj/nicholas.mode2v3	(revision 592)
@@ -201,7 +201,7 @@
 			<dict>
 				<key>PBXProjectModuleGUID</key>
-				<string>E1529A500CE169F4008A50ED</string>
+				<string>E1E031F310AE06D000C8C3B6</string>
 				<key>PBXProjectModuleLabel</key>
-				<string>appswitch.1 - SCM</string>
+				<string>NSApplication.h</string>
 				<key>PBXSplitModuleInNavigatorKey</key>
 				<dict>
@@ -209,14 +209,14 @@
 					<dict>
 						<key>PBXProjectModuleGUID</key>
-						<string>E1529A510CE169F4008A50ED</string>
+						<string>E1E031F410AE06D000C8C3B6</string>
 						<key>PBXProjectModuleLabel</key>
-						<string>appswitch.1 - SCM</string>
+						<string>NSApplication.h</string>
 						<key>_historyCapacity</key>
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E1529A5F0CE16BCF008A50ED</string>
+						<string>E1E0323F10AE0C5500C8C3B6</string>
 						<key>history</key>
 						<array>
-							<string>E1529A520CE169F4008A50ED</string>
+							<string>E1E031F510AE06D000C8C3B6</string>
 						</array>
 					</dict>
@@ -230,9 +230,9 @@
 			<dict>
 				<key>Frame</key>
-				<string>{{0, -1}, {1148, 1004}}</string>
+				<string>{{0, -1}, {687, 606}}</string>
 				<key>PBXModuleWindowStatusBarHidden2</key>
 				<true/>
 				<key>RubberWindowFrame</key>
-				<string>680 58 1148 1024 0 0 1920 1178 </string>
+				<string>15 247 687 626 0 0 1440 878 </string>
 			</dict>
 		</dict>
@@ -241,7 +241,7 @@
 			<dict>
 				<key>PBXProjectModuleGUID</key>
-				<string>E1529A3C0CE167D7008A50ED</string>
+				<string>E1E031F910AE06D000C8C3B6</string>
 				<key>PBXProjectModuleLabel</key>
-				<string>appswitch.1 - SCM</string>
+				<string>README</string>
 				<key>PBXSplitModuleInNavigatorKey</key>
 				<dict>
@@ -249,14 +249,14 @@
 					<dict>
 						<key>PBXProjectModuleGUID</key>
-						<string>E1529A3D0CE167D7008A50ED</string>
+						<string>E1E031FA10AE06D000C8C3B6</string>
 						<key>PBXProjectModuleLabel</key>
-						<string>appswitch.1 - SCM</string>
+						<string>README</string>
 						<key>_historyCapacity</key>
 						<integer>0</integer>
 						<key>bookmark</key>
-						<string>E1529A610CE16BCF008A50ED</string>
+						<string>E1E0324010AE0C5500C8C3B6</string>
 						<key>history</key>
 						<array>
-							<string>E1529A3E0CE167D7008A50ED</string>
+							<string>E1E031FB10AE06D000C8C3B6</string>
 						</array>
 					</dict>
@@ -270,9 +270,9 @@
 			<dict>
 				<key>Frame</key>
-				<string>{{0, -1}, {1148, 1004}}</string>
+				<string>{{0, -1}, {817, 854}}</string>
 				<key>PBXModuleWindowStatusBarHidden2</key>
 				<true/>
 				<key>RubberWindowFrame</key>
-				<string>48 67 1148 1024 0 0 1920 1178 </string>
+				<string>15 4 817 874 0 0 1440 878 </string>
 			</dict>
 		</dict>
@@ -287,6 +287,8 @@
 			<key>ChosenToolbarItems</key>
 			<array>
-				<string>buildOrClean</string>
-				<string>build-and-goOrGo</string>
+				<string>active-combo-popup</string>
+				<string>debugger-enable-breakpoints</string>
+				<string>build-and-go</string>
+				<string>clean</string>
 				<string>com.apple.ide.PBXToolbarStopButton</string>
 				<string>NSToolbarFlexibleSpaceItem</string>
@@ -309,4 +311,6 @@
 					<array>
 						<dict>
+							<key>BecomeActive</key>
+							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
@@ -352,6 +356,4 @@
 									<array>
 										<array>
-											<integer>5</integer>
-											<integer>4</integer>
 											<integer>0</integer>
 										</array>
@@ -384,4 +386,6 @@
 									<real>27</real>
 								</array>
+								<key>RubberWindowFrame</key>
+								<string>1084 456 350 420 0 0 1440 878 </string>
 							</dict>
 							<key>Module</key>
@@ -389,6 +393,4 @@
 						</dict>
 						<dict>
-							<key>BecomeActive</key>
-							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
@@ -420,5 +422,6 @@
 									<array>
 										<string>1C37FBAC04509CD000000102</string>
-										<string>E1529A4E0CE169F4008A50ED</string>
+										<string>E1E031D610AE028500C8C3B6</string>
+										<string>E1E031E310AE02AD00C8C3B6</string>
 										<string>1C37FAAC04509CD000000102</string>
 									</array>
@@ -426,4 +429,6 @@
 									<array>
 										<array>
+											<integer>3</integer>
+											<integer>2</integer>
 											<integer>1</integer>
 											<integer>0</integer>
@@ -447,6 +452,4 @@
 									<real>333</real>
 								</array>
-								<key>RubberWindowFrame</key>
-								<string>1562 755 350 420 0 0 1920 1178 </string>
 							</dict>
 							<key>Module</key>
@@ -458,5 +461,4 @@
 								<key>PBXBottomSmartGroupGIDs</key>
 								<array>
-									<string>1C08E77C0454961000C914BD</string>
 									<string>1C37FABC05509CD000000102</string>
 									<string>1C37FABC05539CD112110102</string>
@@ -529,10 +531,12 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>E1529A160CE15D2F008A50ED</string>
-				<string>E1529A170CE15D2F008A50ED</string>
+				<string>E1E031DD10AE028700C8C3B6</string>
+				<string>E1E031DE10AE028700C8C3B6</string>
 				<string>1C9437FD063B20B00039CFAC</string>
 				<string>1C9437FE063B20B00039CFAC</string>
 				<string>1C9437FF063B20B00039CFAC</string>
 			</array>
+			<key>ToolbarConfigUserDefaultsMinorVersion</key>
+			<string>2</string>
 			<key>ToolbarConfiguration</key>
 			<string>xcode.toolbar.config.default.shortV3</string>
@@ -561,13 +565,15 @@
 	<key>WindowOrderList</key>
 	<array>
+		<string>E1E0322610AE0ACD00C8C3B6</string>
+		<string>1C530D57069F1CE1000CFCEE</string>
+		<string>1C335F2C07B51CD20023D4EE</string>
 		<string>1C530D52069F1CE1000CFCEE</string>
-		<string>E1AC50050CE14E3800EAF6A0</string>
-		<string>E1529A3C0CE167D7008A50ED</string>
 		<string>E14A28260CDF20F700A5BD78</string>
-		<string>E1529A500CE169F4008A50ED</string>
-		<string>/Volumes/nicholas/Documents/Development/appswitch/appswitch/appswitch.xcodeproj</string>
+		<string>E1E031F910AE06D000C8C3B6</string>
+		<string>E1E031F310AE06D000C8C3B6</string>
+		<string>/Users/nicholas/Documents/Development/appswitch/appswitch/appswitch.xcodeproj</string>
 	</array>
 	<key>WindowString</key>
-	<string>1562 755 350 420 0 0 1920 1178 </string>
+	<string>1084 456 350 420 0 0 1440 878 </string>
 	<key>WindowToolsV3</key>
 	<array>
@@ -585,6 +591,4 @@
 					<array>
 						<dict>
-							<key>BecomeActive</key>
-							<integer>1</integer>
 							<key>ContentConfiguration</key>
 							<dict>
@@ -593,5 +597,4 @@
 									<string>1C37FBAC04509CD000000102</string>
 									<string>1C37FAAC04509CD000000102</string>
-									<string>1C08E77C0454961000C914BD</string>
 									<string>1C37FABC05509CD000000102</string>
 									<string>1C37FABC05539CD112110102</string>
@@ -622,5 +625,5 @@
 									<key>PBXSmartGroupTreeModuleOutlineStateExpansionKey</key>
 									<array>
-										<string>00C654E9FEEE28EC7F000001</string>
+										<string>08FB7794FE84155DC02AAC07</string>
 										<string>1C37FABC05509CD000000102</string>
 									</array>
@@ -637,5 +640,5 @@
 								<array/>
 								<key>XCIncludePerspectivesSwitch</key>
-								<integer>0</integer>
+								<false/>
 							</dict>
 							<key>GeometryConfiguration</key>
@@ -678,5 +681,5 @@
 					</array>
 					<key>Proportion</key>
-					<string>100%</string>
+					<string>368pt</string>
 				</dict>
 			</array>
@@ -693,6 +696,5 @@
 			<array>
 				<string>1C335F2C07B51CD20023D4EE</string>
-				<string>1C335F2D07B51CD20023D4EE</string>
-				<string>1C335F2E07B51CD20023D4EE</string>
+				<string>E1E0320610AE082000C8C3B6</string>
 				<string>1CE0B1FE06471DED0097A5F4</string>
 				<string>1CA1AED706398EBD00589147</string>
@@ -705,5 +707,5 @@
 			<string>1C335F2C07B51CD20023D4EE</string>
 			<key>WindowToolIsVisible</key>
-			<true/>
+			<false/>
 		</dict>
 		<dict>
@@ -731,5 +733,5 @@
 								<string>1CD0528F0623707200166675</string>
 								<key>PBXProjectModuleLabel</key>
-								<string></string>
+								<string>&lt;No Editor&gt;</string>
 								<key>StatusBarVisibility</key>
 								<true/>
@@ -738,12 +740,12 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{0, 0}, {878, 604}}</string>
+								<string>{{0, 0}, {878, 572}}</string>
 								<key>RubberWindowFrame</key>
-								<string>415 151 878 886 0 0 1920 1178 </string>
+								<string>224 36 878 842 0 0 1440 878 </string>
 							</dict>
 							<key>Module</key>
 							<string>PBXNavigatorGroup</string>
 							<key>Proportion</key>
-							<string>604pt</string>
+							<string>572pt</string>
 						</dict>
 						<dict>
@@ -755,5 +757,5 @@
 								<string>XCMainBuildResultsModuleGUID</string>
 								<key>PBXProjectModuleLabel</key>
-								<string>Build</string>
+								<string>Build Results</string>
 								<key>XCBuildResultsTrigger_Collapse</key>
 								<integer>1021</integer>
@@ -764,16 +766,16 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{0, 609}, {878, 236}}</string>
+								<string>{{0, 577}, {878, 224}}</string>
 								<key>RubberWindowFrame</key>
-								<string>415 151 878 886 0 0 1920 1178 </string>
+								<string>224 36 878 842 0 0 1440 878 </string>
 							</dict>
 							<key>Module</key>
 							<string>PBXBuildResultsModule</string>
 							<key>Proportion</key>
-							<string>236pt</string>
+							<string>224pt</string>
 						</dict>
 					</array>
 					<key>Proportion</key>
-					<string>845pt</string>
+					<string>801pt</string>
 				</dict>
 			</array>
@@ -789,5 +791,5 @@
 			<array>
 				<string>1C530D52069F1CE1000CFCEE</string>
-				<string>E1529A140CE15BB4008A50ED</string>
+				<string>E1E031DF10AE028700C8C3B6</string>
 				<string>1CD0528F0623707200166675</string>
 				<string>XCMainBuildResultsModuleGUID</string>
@@ -796,5 +798,5 @@
 			<string>xcode.toolbar.config.buildV3</string>
 			<key>WindowString</key>
-			<string>415 151 878 886 0 0 1920 1178 </string>
+			<string>224 36 878 842 0 0 1440 878 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D52069F1CE1000CFCEE</string>
@@ -931,4 +933,6 @@
 			<key>Identifier</key>
 			<string>windowTool.find</string>
+			<key>IsVertical</key>
+			<true/>
 			<key>Layout</key>
 			<array>
@@ -954,5 +958,5 @@
 										<string>{{0, 0}, {781, 212}}</string>
 										<key>RubberWindowFrame</key>
-										<string>22 496 781 470 0 0 1280 1002 </string>
+										<string>29 380 781 470 0 0 1440 878 </string>
 									</dict>
 									<key>Module</key>
@@ -980,5 +984,5 @@
 								<string>{{0, 217}, {781, 212}}</string>
 								<key>RubberWindowFrame</key>
-								<string>22 496 781 470 0 0 1280 1002 </string>
+								<string>29 380 781 470 0 0 1440 878 </string>
 							</dict>
 							<key>Module</key>
@@ -1003,13 +1007,11 @@
 			<array>
 				<string>1C530D57069F1CE1000CFCEE</string>
-				<string>1C530D58069F1CE1000CFCEE</string>
-				<string>1C530D59069F1CE1000CFCEE</string>
+				<string>E1E0320810AE082100C8C3B6</string>
+				<string>E1E0320910AE082100C8C3B6</string>
 				<string>1CDD528C0622207200134675</string>
-				<string>1C530D5A069F1CE1000CFCEE</string>
-				<string>1CE0B1FE06471DED0097A5F4</string>
 				<string>1CD0528E0623707200166675</string>
 			</array>
 			<key>WindowString</key>
-			<string>22 496 781 470 0 0 1280 1002 </string>
+			<string>29 380 781 470 0 0 1440 878 </string>
 			<key>WindowToolGUID</key>
 			<string>1C530D57069F1CE1000CFCEE</string>
@@ -1144,5 +1146,5 @@
 								<string>{{0, 0}, {636, 0}}</string>
 								<key>RubberWindowFrame</key>
-								<string>1097 407 636 499 0 0 1920 1178 </string>
+								<string>687 227 636 499 0 0 1440 878 </string>
 							</dict>
 							<key>Module</key>
@@ -1163,9 +1165,9 @@
 									<array>
 										<real>200</real>
-										<real>56</real>
+										<real>56.66162109375</real>
 										<real>63</real>
 										<real>60</real>
 										<real>63</real>
-										<real>355</real>
+										<real>139.556640625</real>
 									</array>
 									<key>PBXCVSModuleTreeModuleColumnsKey</key>
@@ -1189,5 +1191,5 @@
 								<string>{{0, 5}, {636, 453}}</string>
 								<key>RubberWindowFrame</key>
-								<string>1097 407 636 499 0 0 1920 1178 </string>
+								<string>687 227 636 499 0 0 1440 878 </string>
 							</dict>
 							<key>Module</key>
@@ -1212,5 +1214,5 @@
 			<array>
 				<string>E14A28260CDF20F700A5BD78</string>
-				<string>E1529A410CE167D7008A50ED</string>
+				<string>E1E031E010AE028700C8C3B6</string>
 				<string>1C78EAB2065D492600B07095</string>
 				<string>1CD052920623707200166675</string>
@@ -1219,9 +1221,9 @@
 			<string>xcode.toolbar.config.scm</string>
 			<key>WindowString</key>
-			<string>1097 407 636 499 0 0 1920 1178 </string>
+			<string>687 227 636 499 0 0 1440 878 </string>
 			<key>WindowToolGUID</key>
 			<string>E14A28260CDF20F700A5BD78</string>
 			<key>WindowToolIsVisible</key>
-			<true/>
+			<false/>
 		</dict>
 		<dict>