Index: trunk/Cocoa/Pester/Source/NJRFSObjectSelector.m
===================================================================
--- trunk/Cocoa/Pester/Source/NJRFSObjectSelector.m	(revision 599)
+++ trunk/Cocoa/Pester/Source/NJRFSObjectSelector.m	(revision 600)
@@ -6,4 +6,8 @@
 static NSImage *PopupTriangleImage = nil;
 static NSSize PopupTriangleSize;
+
+@interface NJRFSObjectSelector (NSOpenPanelRuntime)
+- (void)openPanelDidEnd:(NSOpenPanel *)sheet returnCode:(int)returnCode contextInfo:(void *)contextInfo;
+@end
 
 @implementation NJRFSObjectSelector
Index: trunk/Cocoa/Pester/Source/NJRHotKeyField.m
===================================================================
--- trunk/Cocoa/Pester/Source/NJRHotKeyField.m	(revision 599)
+++ trunk/Cocoa/Pester/Source/NJRHotKeyField.m	(revision 600)
@@ -20,4 +20,8 @@
 static NSParagraphStyle *leftAlignStyle = nil, *centerAlignStyle = nil;
 static NSDictionary *statusAttributes = nil;
+
+@interface NJRHotKeyField (Private)
+- (void)clearStatus;
+@end
 
 @implementation NJRHotKeyField
Index: trunk/Cocoa/Pester/Source/NJRQTMediaPopUpButton.m
===================================================================
--- trunk/Cocoa/Pester/Source/NJRQTMediaPopUpButton.m	(revision 599)
+++ trunk/Cocoa/Pester/Source/NJRQTMediaPopUpButton.m	(revision 600)
@@ -8,4 +8,5 @@
 
 #import "NJRQTMediaPopUpButton.h"
+#import "NJRFSObjectSelector.h"
 #import "NJRSoundManager.h"
 #import "QTMovie-NJRExtensions.h"
@@ -23,6 +24,14 @@
 - (BOOL)_validateWithPreview:(BOOL)doPreview;
 - (void)_startSoundPreview;
+- (void)_soundPreviewDidEnd:(NSNotification *)notification;
 - (void)_resetPreview;
 - (void)_resetOutputVolume;
+- (void)_aliasSelected:(NSMenuItem *)sender;
+- (void)_beepSelected:(NSMenuItem *)sender;
+- (void)_systemSoundSelected:(NSMenuItem *)sender;
+@end
+
+@interface NJRQTMediaPopUpButton (NSOpenPanelRuntime)
+- (void)openPanelDidEnd:(NSOpenPanel *)sheet returnCode:(int)returnCode contextInfo:(void *)contextInfo;
 @end
 
Index: trunk/Cocoa/Pester/Source/NJRReadMeController.m
===================================================================
--- trunk/Cocoa/Pester/Source/NJRReadMeController.m	(revision 599)
+++ trunk/Cocoa/Pester/Source/NJRReadMeController.m	(revision 600)
@@ -8,4 +8,5 @@
 
 #import "NJRReadMeController.h"
+#import "NJRSplitView.h"
 #import "NSString-NJRExtensions.h"
 
@@ -75,4 +76,5 @@
 - (void)_saveSplit;
 - (void)_restoreSplit;
+- (void)readRTF:(NSString *)aPath;
 @end
 
Index: trunk/Cocoa/Pester/Source/NJRVoicePopUpButton.m
===================================================================
--- trunk/Cocoa/Pester/Source/NJRVoicePopUpButton.m	(revision 599)
+++ trunk/Cocoa/Pester/Source/NJRVoicePopUpButton.m	(revision 600)
@@ -8,4 +8,8 @@
 
 #import "NJRVoicePopUpButton.h"
+
+@interface NJRVoicePopUpButton (Private)
+- (void)_previewVoice;
+@end
 
 @implementation NJRVoicePopUpButton
Index: trunk/Cocoa/Pester/Source/OACalendarView.m
===================================================================
--- trunk/Cocoa/Pester/Source/OACalendarView.m	(revision 599)
+++ trunk/Cocoa/Pester/Source/OACalendarView.m	(revision 600)
@@ -48,4 +48,10 @@
 @end
 
+@interface OACalendarView (PrivateActions)
+
+- (IBAction)previous:(id)sender;
+- (IBAction)next:(id)sender;
+
+@end
 
 @implementation OACalendarView
Index: trunk/Cocoa/Pester/Source/PSAlarms.h
===================================================================
--- trunk/Cocoa/Pester/Source/PSAlarms.h	(revision 599)
+++ trunk/Cocoa/Pester/Source/PSAlarms.h	(revision 600)
@@ -41,2 +41,6 @@
 
 @end
+
+@interface NSObject (PSAlarmsNotifications)
+- (void)nextAlarmDidChange:(NSNotification *)notification;
+@end
Index: trunk/Cocoa/Pester/Source/PSApplication.m
===================================================================
--- trunk/Cocoa/Pester/Source/PSApplication.m	(revision 599)
+++ trunk/Cocoa/Pester/Source/PSApplication.m	(revision 600)
@@ -19,4 +19,8 @@
 #import "NJRHotKey.h"
 #import "NSWindowCollectionBehavior.h"
+
+@interface PSApplication (Private)
+- (void)_updateDockTile:(PSTimer *)timer;
+@end
 
 @implementation PSApplication
Index: trunk/Cocoa/Pester/Source/PSDockBounceAlert.m
===================================================================
--- trunk/Cocoa/Pester/Source/PSDockBounceAlert.m	(revision 599)
+++ trunk/Cocoa/Pester/Source/PSDockBounceAlert.m	(revision 600)
@@ -15,4 +15,8 @@
 static PSDockBounceAlert *PSDockBounceAlertShared;
 static NMRec nmr;
+
+@interface PSDockBounceAlert (Private)
+- (void)_stopBouncing;
+@end
 
 @implementation PSDockBounceAlert
Index: trunk/Cocoa/Pester/Source/PSSnoozeUntilController.m
===================================================================
--- trunk/Cocoa/Pester/Source/PSSnoozeUntilController.m	(revision 599)
+++ trunk/Cocoa/Pester/Source/PSSnoozeUntilController.m	(revision 600)
@@ -12,4 +12,8 @@
 #import "PSTimeDateEditor.h"
 #import "NSCalendarDate-NJRExtensions.h"
+
+@interface PSSnoozeUntilController (PSSnoozeUntilControllerRuntime)
+- (void)sheetDidEnd:(NSWindow *)sheet returnCode:(int)returnCode contextInfo:(PSAlarmNotifierController *)aController;
+@end
 
 @implementation PSSnoozeUntilController
Index: trunk/Cocoa/Pester/Source/PSTimer.m
===================================================================
--- trunk/Cocoa/Pester/Source/PSTimer.m	(revision 599)
+++ trunk/Cocoa/Pester/Source/PSTimer.m	(revision 600)
@@ -17,4 +17,5 @@
 @interface PSTimer (Private)
 + (void)_schedule;
+- (void)_timerExpired;
 @end
 