Index: trunk/Cocoa/Pester/Source/NJRQTMediaPopUpButton.m
===================================================================
--- trunk/Cocoa/Pester/Source/NJRQTMediaPopUpButton.m	(revision 601)
+++ trunk/Cocoa/Pester/Source/NJRQTMediaPopUpButton.m	(revision 602)
@@ -433,14 +433,14 @@
 {
     BDAlias *alias = [sender representedObject];
-    int index = [self indexOfItem: sender], otherIndex = [self indexOfItem: otherItem];
+    int itemIndex = [self indexOfItem: sender], otherIndex = [self indexOfItem: otherItem];
     [self _setAlias: alias];
     if (![self _validateWithPreview: YES]) {
         [[self menu] removeItem: sender];
-    } else if (index > otherIndex + 1) { // move "other" item to top of list
-        int recentIndex = [recentMediaAliasData count] - index + otherIndex;
-        NSMenuItem *item = [[self itemAtIndex: index] retain];
+    } else if (itemIndex > otherIndex + 1) { // move "other" item to top of list
+        int recentIndex = [recentMediaAliasData count] - itemIndex + otherIndex;
+        NSMenuItem *item = [[self itemAtIndex: itemIndex] retain];
         NSData *data = [[recentMediaAliasData objectAtIndex: recentIndex] retain];
         // [self _validateRecentMedia];
-        [self removeItemAtIndex: index];
+        [self removeItemAtIndex: itemIndex];
         [[self menu] insertItem: item atIndex: otherIndex + 1];
         [self selectItem: item];
Index: trunk/Cocoa/Pester/Source/NSCalendarDate-NJRExtensions.m
===================================================================
--- trunk/Cocoa/Pester/Source/NSCalendarDate-NJRExtensions.m	(revision 601)
+++ trunk/Cocoa/Pester/Source/NSCalendarDate-NJRExtensions.m	(revision 602)
@@ -31,10 +31,10 @@
 }
 
-+ (NSCalendarDate *)dateWithDate:(NSDate *)date atTime:(NSDate *)time;
++ (NSCalendarDate *)dateWithDate:(NSDate *)aDate atTime:(NSDate *)aTime;
 {
     NSCalendarDate *calTime, *calDate;
-    if (time == nil || date == nil) return nil;
-    calTime = [NSCalendarDate dateWithDate: time];
-    calDate = [NSCalendarDate dateWithDate: date];
+    if (aTime == nil || aDate == nil) return nil;
+    calTime = [NSCalendarDate dateWithDate: aTime];
+    calDate = [NSCalendarDate dateWithDate: aDate];
     if (calTime == nil || calDate == nil) return nil;
     return [NSCalendarDate dateWithYear: [calDate yearOfCommonEra]
Index: trunk/Cocoa/Pester/Source/OACalendarView.m
===================================================================
--- trunk/Cocoa/Pester/Source/OACalendarView.m	(revision 601)
+++ trunk/Cocoa/Pester/Source/OACalendarView.m	(revision 602)
@@ -79,5 +79,5 @@
 
     NSDateFormatter *monthAndYearFormatter;
-    int index;
+    int dayOfWeek;
     NSUserDefaults *defaults;
     NSArray *shortWeekDays;
@@ -98,8 +98,8 @@
     defaults = [NSUserDefaults standardUserDefaults];
     shortWeekDays = [defaults objectForKey:NSShortWeekDayNameArray];
-    for (index = 0; index < OACalendarViewNumDaysPerWeek; index++) {
-        dayOfWeekCell[index] = [[NSTableHeaderCell alloc] init];
-        [dayOfWeekCell[index] setAlignment:NSCenterTextAlignment];
-        [dayOfWeekCell[index] setStringValue:[[shortWeekDays objectAtIndex:index] substringToIndex:1]];
+    for (dayOfWeek = 0; dayOfWeek < OACalendarViewNumDaysPerWeek; dayOfWeek++) {
+        dayOfWeekCell[dayOfWeek] = [[NSTableHeaderCell alloc] init];
+        [dayOfWeekCell[dayOfWeek] setAlignment:NSCenterTextAlignment];
+        [dayOfWeekCell[dayOfWeek] setStringValue:[[shortWeekDays objectAtIndex:dayOfWeek] substringToIndex:1]];
     }
 
@@ -145,10 +145,10 @@
 - (void)dealloc;
 {
-    int index;
+    int dayOfWeek;
 
     [dayOfMonthCell release];
 
-    for (index = 0; index < OACalendarViewNumDaysPerWeek; index++)
-        [dayOfWeekCell[index] release];
+    for (dayOfWeek = 0; dayOfWeek < OACalendarViewNumDaysPerWeek; dayOfWeek++)
+        [dayOfWeekCell[dayOfWeek] release];
 
     [monthAndYearTextFieldCell release];
@@ -395,12 +395,12 @@
                 NSMutableArray *days;
                 NSCalendarDate *day;
-                int index;
+                int dayOfWeek;
                 
                 days = [NSMutableArray arrayWithCapacity:OACalendarViewNumDaysPerWeek];
                 day = [selectedDay dateByAddingYears:0 months:0 days:-[selectedDay dayOfWeek] hours:0 minutes:0 seconds:0];
-                for (index = 0; index < OACalendarViewNumDaysPerWeek; index++) {
+                for (dayOfWeek = 0; dayOfWeek < OACalendarViewNumDaysPerWeek; dayOfWeek++) {
                     NSCalendarDate *nextDay;
 
-                    nextDay = [day dateByAddingYears:0 months:0 days:index hours:0 minutes:0 seconds:0];
+                    nextDay = [day dateByAddingYears:0 months:0 days:dayOfWeek hours:0 minutes:0 seconds:0];
                     if (flags.showsDaysForOtherMonths || [nextDay monthOfYear] == [selectedDay monthOfYear])
                         [days addObject:nextDay];                    
@@ -415,12 +415,12 @@
                 NSMutableArray *days;
                 NSCalendarDate *day;
-                int index;
+                int dayOfWeek;
                 
                 days = [NSMutableArray arrayWithCapacity:OACalendarViewMaxNumWeeksIntersectedByMonth];
                 day = [selectedDay dateByAddingYears:0 months:0 days:-(([selectedDay weekOfMonth] - 1) * OACalendarViewNumDaysPerWeek) hours:0 minutes:0 seconds:0];
-                for (index = 0; index < OACalendarViewMaxNumWeeksIntersectedByMonth; index++) {
+                for (dayOfWeek = 0; dayOfWeek < OACalendarViewMaxNumWeeksIntersectedByMonth; dayOfWeek++) {
                     NSCalendarDate *nextDay;
 
-                    nextDay = [day dateByAddingYears:0 months:0 days:(index * OACalendarViewNumDaysPerWeek) hours:0 minutes:0 seconds:0];
+                    nextDay = [day dateByAddingYears:0 months:0 days:(dayOfWeek * OACalendarViewNumDaysPerWeek) hours:0 minutes:0 seconds:0];
                     if (flags.showsDaysForOtherMonths || [nextDay monthOfYear] == [selectedDay monthOfYear])
                         [days addObject:nextDay];
@@ -648,5 +648,5 @@
     int visibleMonthIndex;
     NSCalendarDate *thisDay;
-    int index, row, column;
+    int cellIndex, row, column;
     NSSize cellSize;
     BOOL isFirstResponder = ([[self window] firstResponder] == self);
@@ -663,5 +663,5 @@
     thisDay = [visibleMonth dateByAddingYears:0 months:0 days:-[visibleMonth dayOfWeek] hours:0 minutes:0 seconds:0];
 
-    for (row = column = index = 0; index < OACalendarViewMaxNumWeeksIntersectedByMonth * OACalendarViewNumDaysPerWeek; index++) {
+    for (row = column = cellIndex = 0; cellIndex < OACalendarViewMaxNumWeeksIntersectedByMonth * OACalendarViewNumDaysPerWeek; cellIndex++) {
         NSColor *textColor;
         BOOL isVisibleMonth;
@@ -709,5 +709,5 @@
                 [[self target] calendarView:self willDisplayCell:dayOfMonthCell forDate:thisDay];
             } else {
-                if ((dayHighlightMask & (1 << index)) == 0) {
+                if ((dayHighlightMask & (1 << cellIndex)) == 0) {
                     textColor = (isVisibleMonth ? [NSColor blackColor] : [NSColor grayColor]);
                 } else {
@@ -769,11 +769,11 @@
 {
     float maxWidth;
-    int index;
+    int dayOfWeek;
 
     maxWidth = 0;
-    for (index = 0; index < OACalendarViewNumDaysPerWeek; index++) {
+    for (dayOfWeek = 0; dayOfWeek < OACalendarViewNumDaysPerWeek; dayOfWeek++) {
         NSSize cellSize;
 
-        cellSize = [dayOfWeekCell[index] cellSize];
+        cellSize = [dayOfWeekCell[dayOfWeek] cellSize];
         if (maxWidth < cellSize.width)
             maxWidth = cellSize.width;
@@ -785,25 +785,25 @@
 - (NSSize)_maximumDayOfMonthSize;
 {
-    NSSize maxSize;
-    int index;
-
-    maxSize = NSZeroSize; // I'm sure the height doesn't change, but I need to know the height anyway.
-    for (index = 1; index <= 31; index++) {
+    NSSize maximumSize;
+    int dayOfMonth;
+
+    maximumSize = NSZeroSize; // I'm sure the height doesn't change, but I need to know the height anyway.
+    for (dayOfMonth = 1; dayOfMonth <= 31; dayOfMonth++) {
         NSString *str;
         NSSize cellSize;
 
-        str = [NSString stringWithFormat:@"%d", index];
+        str = [NSString stringWithFormat:@"%d", dayOfMonth];
         [dayOfMonthCell setStringValue:str];
         cellSize = [dayOfMonthCell cellSize];
-        if (maxSize.width < cellSize.width)
-            maxSize.width = cellSize.width;
-        if (maxSize.height < cellSize.height)
-            maxSize.height = cellSize.height;
-    }
-
-    maxSize.width = ceil(maxSize.width);
-    maxSize.height = ceil(maxSize.height);
-
-    return maxSize;
+        if (maximumSize.width < cellSize.width)
+            maximumSize.width = cellSize.width;
+        if (maximumSize.height < cellSize.height)
+            maximumSize.height = cellSize.height;
+    }
+
+    maximumSize.width = ceilf(maximumSize.width);
+    maximumSize.height = ceilf(maximumSize.height);
+
+    return maximumSize;
 }
 
Index: trunk/Cocoa/Pester/Source/PSAlarm.m
===================================================================
--- trunk/Cocoa/Pester/Source/PSAlarm.m	(revision 601)
+++ trunk/Cocoa/Pester/Source/PSAlarm.m	(revision 602)
@@ -171,18 +171,18 @@
 }
 
-- (void)setForDate:(NSDate *)date atTime:(NSDate *)time;
+- (void)setForDate:(NSDate *)aDate atTime:(NSDate *)aTime;
 {
     NSCalendarDate *dateTime;
-    if (time == nil && date == nil) {
+    if (aTime == nil && aDate == nil) {
         [self _beInvalid: @"Please specify an alarm date and time."]; return;
     }
-    if (time == nil) {
+    if (aTime == nil) {
         [self _beInvalid: @"Please specify an alarm time."]; return;
     }
-    if (date == nil) {
+    if (aDate == nil) {
         [self _beInvalid: @"Please specify an alarm date."]; return;
     }
     // XXX if calTime's date is different from the default date, complain
-    dateTime = [NSCalendarDate dateWithDate: date atTime: time];
+    dateTime = [NSCalendarDate dateWithDate: aDate atTime: aTime];
     if (dateTime == nil) {
         [self _beInvalid: @"Please specify a reasonable date and time."]; return;
Index: trunk/Cocoa/Pester/Source/PSAlarms.m
===================================================================
--- trunk/Cocoa/Pester/Source/PSAlarms.m	(revision 601)
+++ trunk/Cocoa/Pester/Source/PSAlarms.m	(revision 602)
@@ -161,13 +161,13 @@
 }
 
-- (PSAlarm *)alarmAtIndex:(int)index;
-{
-    return [alarms objectAtIndex: index];
-}
-
-- (void)removeAlarmAtIndex:(int)index;
-{
-    [(PSAlarm *)[alarms objectAtIndex: index] cancelTimer];
-    [alarms removeObjectAtIndex: index];
+- (PSAlarm *)alarmAtIndex:(int)alarmIndex;
+{
+    return [alarms objectAtIndex: alarmIndex];
+}
+
+- (void)removeAlarmAtIndex:(int)alarmIndex;
+{
+    [(PSAlarm *)[alarms objectAtIndex: alarmIndex] cancelTimer];
+    [alarms removeObjectAtIndex: alarmIndex];
 }
 
Index: trunk/Cocoa/Pester/Source/PSPowerManager.m
===================================================================
--- trunk/Cocoa/Pester/Source/PSPowerManager.m	(revision 601)
+++ trunk/Cocoa/Pester/Source/PSPowerManager.m	(revision 602)
@@ -20,7 +20,7 @@
 }
 
-+ (void)setWakeTime:(NSDate *)time;
++ (void)setWakeTime:(NSDate *)wakeTime;
 {
-    IOPMSchedulePowerEvent((CFDateRef)time, (CFStringRef)[[NSBundle mainBundle] bundleIdentifier], CFSTR(kIOPMAutoWake));
+    IOPMSchedulePowerEvent((CFDateRef)wakeTime, (CFStringRef)[[NSBundle mainBundle] bundleIdentifier], CFSTR(kIOPMAutoWake));
 }
 