Index: /trunk/Cocoa/Pester/Source/English.lproj/MainMenu.nib/designable.nib
===================================================================
--- /trunk/Cocoa/Pester/Source/English.lproj/MainMenu.nib/designable.nib	(revision 610)
+++ /trunk/Cocoa/Pester/Source/English.lproj/MainMenu.nib/designable.nib	(revision 611)
@@ -22,5 +22,6 @@
 		<object class="NSMutableArray" key="IBDocument.EditedObjectIDs">
 			<bool key="EncodedWithXMLCoder">YES</bool>
-			<integer value="169"/>
+			<integer value="29"/>
+			<integer value="507"/>
 		</object>
 		<object class="NSArray" key="IBDocument.PluginDependencies">
@@ -62,5 +63,5 @@
 				<string key="NSWindowContentMinSize">{442, 190}</string>
 				<object class="NSView" key="NSWindowView" id="712890362">
-					<nil key="NSNextResponder"/>
+					<reference key="NSNextResponder"/>
 					<int key="NSvFlags">256</int>
 					<object class="NSMutableArray" key="NSSubviews">
@@ -1481,4 +1482,5 @@
 					</object>
 					<string key="NSFrameSize">{442, 275}</string>
+					<reference key="NSSuperview"/>
 				</object>
 				<string key="NSScreenRect">{{0, 0}, {1920, 1178}}</string>
@@ -2447,12 +2449,4 @@
 				<object class="IBConnectionRecord">
 					<object class="IBOutletConnection" key="connection">
-						<string key="label">initialFirstResponder</string>
-						<reference key="source" ref="373330812"/>
-						<reference key="destination" ref="7602437"/>
-					</object>
-					<int key="connectionID">417</int>
-				</object>
-				<object class="IBConnectionRecord">
-					<object class="IBOutletConnection" key="connection">
 						<string key="label">nextKeyView</string>
 						<reference key="source" ref="254558645"/>
@@ -2511,12 +2505,4 @@
 				<object class="IBConnectionRecord">
 					<object class="IBOutletConnection" key="connection">
-						<string key="label">nextKeyView</string>
-						<reference key="source" ref="708286341"/>
-						<reference key="destination" ref="219870221"/>
-					</object>
-					<int key="connectionID">538</int>
-				</object>
-				<object class="IBConnectionRecord">
-					<object class="IBOutletConnection" key="connection">
 						<string key="label">voice</string>
 						<reference key="source" ref="612152285"/>
@@ -2654,12 +2640,4 @@
 				</object>
 				<object class="IBConnectionRecord">
-					<object class="IBOutletConnection" key="connection">
-						<string key="label">nextKeyView</string>
-						<reference key="source" ref="47393745"/>
-						<reference key="destination" ref="824110163"/>
-					</object>
-					<int key="connectionID">662</int>
-				</object>
-				<object class="IBConnectionRecord">
 					<object class="IBActionConnection" key="connection">
 						<string key="label">toggleAlertEditor:</string>
@@ -2708,12 +2686,4 @@
 					</object>
 					<int key="connectionID">1038</int>
-				</object>
-				<object class="IBConnectionRecord">
-					<object class="IBOutletConnection" key="connection">
-						<string key="label">nextKeyView</string>
-						<reference key="source" ref="495897227"/>
-						<reference key="destination" ref="1044436002"/>
-					</object>
-					<int key="connectionID">1121</int>
 				</object>
 				<object class="IBConnectionRecord">
@@ -2900,9 +2870,81 @@
 				<object class="IBConnectionRecord">
 					<object class="IBOutletConnection" key="connection">
+						<string key="label">initialFirstResponder</string>
+						<reference key="source" ref="373330812"/>
+						<reference key="destination" ref="7602437"/>
+					</object>
+					<int key="connectionID">1598</int>
+				</object>
+				<object class="IBConnectionRecord">
+					<object class="IBOutletConnection" key="connection">
+						<string key="label">nextKeyView</string>
+						<reference key="source" ref="4669288"/>
+						<reference key="destination" ref="495897227"/>
+					</object>
+					<int key="connectionID">1599</int>
+				</object>
+				<object class="IBConnectionRecord">
+					<object class="IBOutletConnection" key="connection">
+						<string key="label">nextKeyView</string>
+						<reference key="source" ref="495897227"/>
+						<reference key="destination" ref="1044436002"/>
+					</object>
+					<int key="connectionID">1600</int>
+				</object>
+				<object class="IBConnectionRecord">
+					<object class="IBOutletConnection" key="connection">
 						<string key="label">nextKeyView</string>
 						<reference key="source" ref="276308755"/>
 						<reference key="destination" ref="1044436002"/>
 					</object>
-					<int key="connectionID">1594</int>
+					<int key="connectionID">1601</int>
+				</object>
+				<object class="IBConnectionRecord">
+					<object class="IBOutletConnection" key="connection">
+						<string key="label">nextKeyView</string>
+						<reference key="source" ref="151274761"/>
+						<reference key="destination" ref="708286341"/>
+					</object>
+					<int key="connectionID">1603</int>
+				</object>
+				<object class="IBConnectionRecord">
+					<object class="IBOutletConnection" key="connection">
+						<string key="label">nextKeyView</string>
+						<reference key="source" ref="708286341"/>
+						<reference key="destination" ref="219870221"/>
+					</object>
+					<int key="connectionID">1604</int>
+				</object>
+				<object class="IBConnectionRecord">
+					<object class="IBOutletConnection" key="connection">
+						<string key="label">nextKeyView</string>
+						<reference key="source" ref="219870221"/>
+						<reference key="destination" ref="4669288"/>
+					</object>
+					<int key="connectionID">1605</int>
+				</object>
+				<object class="IBConnectionRecord">
+					<object class="IBOutletConnection" key="connection">
+						<string key="label">nextKeyView</string>
+						<reference key="source" ref="824110163"/>
+						<reference key="destination" ref="1044436002"/>
+					</object>
+					<int key="connectionID">1607</int>
+				</object>
+				<object class="IBConnectionRecord">
+					<object class="IBOutletConnection" key="connection">
+						<string key="label">nextKeyView</string>
+						<reference key="source" ref="303003038"/>
+						<reference key="destination" ref="1044436002"/>
+					</object>
+					<int key="connectionID">1608</int>
+				</object>
+				<object class="IBConnectionRecord">
+					<object class="IBOutletConnection" key="connection">
+						<string key="label">nextKeyView</string>
+						<reference key="source" ref="47393745"/>
+						<reference key="destination" ref="277940014"/>
+					</object>
+					<int key="connectionID">1609</int>
 				</object>
 			</object>
@@ -4093,4 +4135,5 @@
 					<string>1378.IBPluginDependency</string>
 					<string>1378.ImportedFromIB2</string>
+					<string>1380.IBEditorWindowLastContentRect</string>
 					<string>1380.IBPluginDependency</string>
 					<string>1380.ImportedFromIB2</string>
@@ -4429,4 +4472,5 @@
 					<string>com.apple.InterfaceBuilder.CocoaPlugin</string>
 					<boolean value="YES"/>
+					<string>{{121, 687}, {169, 23}}</string>
 					<string>com.apple.InterfaceBuilder.CocoaPlugin</string>
 					<boolean value="YES"/>
@@ -4587,7 +4631,7 @@
 					<string>com.apple.InterfaceBuilder.CocoaPlugin</string>
 					<boolean value="YES"/>
-					<string>{{0, 570}, {442, 275}}</string>
-					<string>com.apple.InterfaceBuilder.CocoaPlugin</string>
-					<string>{{0, 570}, {442, 275}}</string>
+					<string>{{1, 570}, {442, 275}}</string>
+					<string>com.apple.InterfaceBuilder.CocoaPlugin</string>
+					<string>{{1, 570}, {442, 275}}</string>
 					<boolean value="YES"/>
 					<boolean value="YES"/>
@@ -4836,5 +4880,5 @@
 			</object>
 			<nil key="sourceID"/>
-			<int key="maxID">1597</int>
+			<int key="maxID">1609</int>
 		</object>
 		<object class="IBClassDescriber" key="IBDocument.Classes">