Index: trunk/Cocoa/Pester/Source/English.lproj/MainMenu.nib/designable.nib
===================================================================
--- trunk/Cocoa/Pester/Source/English.lproj/MainMenu.nib/designable.nib	(revision 611)
+++ trunk/Cocoa/Pester/Source/English.lproj/MainMenu.nib/designable.nib	(revision 613)
@@ -23,5 +23,5 @@
 			<bool key="EncodedWithXMLCoder">YES</bool>
 			<integer value="29"/>
-			<integer value="507"/>
+			<integer value="2"/>
 		</object>
 		<object class="NSArray" key="IBDocument.PluginDependencies">
@@ -84,5 +84,5 @@
 								<int key="NSButtonFlags">109199615</int>
 								<int key="NSButtonFlags2">1</int>
-								<object class="NSFont" key="NSAlternateImage">
+								<object class="NSFont" key="NSAlternateImage" id="680899301">
 									<string key="NSName">LucidaGrande</string>
 									<double key="NSSize">13</double>
@@ -1397,5 +1397,5 @@
 								<int key="NSCellFlags2">134217728</int>
 								<string key="NSContents"/>
-								<reference key="NSSupport" ref="776166111"/>
+								<reference key="NSSupport" ref="680899301"/>
 								<reference key="NSControlView" ref="277940014"/>
 								<int key="NSButtonFlags">-2032926465</int>
@@ -2609,12 +2609,4 @@
 				<object class="IBConnectionRecord">
 					<object class="IBOutletConnection" key="connection">
-						<string key="label">nextKeyView</string>
-						<reference key="source" ref="277940014"/>
-						<reference key="destination" ref="824110163"/>
-					</object>
-					<int key="connectionID">635</int>
-				</object>
-				<object class="IBConnectionRecord">
-					<object class="IBOutletConnection" key="connection">
 						<string key="label">menu</string>
 						<reference key="source" ref="47393745"/>
@@ -2678,12 +2670,4 @@
 					</object>
 					<int key="connectionID">1037</int>
-				</object>
-				<object class="IBConnectionRecord">
-					<object class="IBOutletConnection" key="connection">
-						<string key="label">nextKeyView</string>
-						<reference key="source" ref="935125301"/>
-						<reference key="destination" ref="277940014"/>
-					</object>
-					<int key="connectionID">1038</int>
 				</object>
 				<object class="IBConnectionRecord">
@@ -2845,12 +2829,4 @@
 				</object>
 				<object class="IBConnectionRecord">
-					<object class="IBOutletConnection" key="connection">
-						<string key="label">nextKeyView</string>
-						<reference key="source" ref="137968487"/>
-						<reference key="destination" ref="824110163"/>
-					</object>
-					<int key="connectionID">1543</int>
-				</object>
-				<object class="IBConnectionRecord">
 					<object class="IBActionConnection" key="connection">
 						<string key="label">editAlertChanged:</string>
@@ -2887,20 +2863,4 @@
 					<object class="IBOutletConnection" key="connection">
 						<string key="label">nextKeyView</string>
-						<reference key="source" ref="495897227"/>
-						<reference key="destination" ref="1044436002"/>
-					</object>
-					<int key="connectionID">1600</int>
-				</object>
-				<object class="IBConnectionRecord">
-					<object class="IBOutletConnection" key="connection">
-						<string key="label">nextKeyView</string>
-						<reference key="source" ref="276308755"/>
-						<reference key="destination" ref="1044436002"/>
-					</object>
-					<int key="connectionID">1601</int>
-				</object>
-				<object class="IBConnectionRecord">
-					<object class="IBOutletConnection" key="connection">
-						<string key="label">nextKeyView</string>
 						<reference key="source" ref="151274761"/>
 						<reference key="destination" ref="708286341"/>
@@ -2927,12 +2887,4 @@
 					<object class="IBOutletConnection" key="connection">
 						<string key="label">nextKeyView</string>
-						<reference key="source" ref="824110163"/>
-						<reference key="destination" ref="1044436002"/>
-					</object>
-					<int key="connectionID">1607</int>
-				</object>
-				<object class="IBConnectionRecord">
-					<object class="IBOutletConnection" key="connection">
-						<string key="label">nextKeyView</string>
 						<reference key="source" ref="303003038"/>
 						<reference key="destination" ref="1044436002"/>
@@ -2947,4 +2899,20 @@
 					</object>
 					<int key="connectionID">1609</int>
+				</object>
+				<object class="IBConnectionRecord">
+					<object class="IBOutletConnection" key="connection">
+						<string key="label">nextKeyView</string>
+						<reference key="source" ref="277940014"/>
+						<reference key="destination" ref="303003038"/>
+					</object>
+					<int key="connectionID">1610</int>
+				</object>
+				<object class="IBConnectionRecord">
+					<object class="IBOutletConnection" key="connection">
+						<string key="label">nextKeyView</string>
+						<reference key="source" ref="935125301"/>
+						<reference key="destination" ref="47393745"/>
+					</object>
+					<int key="connectionID">1612</int>
 				</object>
 			</object>
@@ -4880,5 +4848,5 @@
 			</object>
 			<nil key="sourceID"/>
-			<int key="maxID">1609</int>
+			<int key="maxID">1612</int>
 		</object>
 		<object class="IBClassDescriber" key="IBDocument.Classes">